We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6495 - Favicon doesn't display in IE
Favicon doesn't display in IE
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.3.8
All All
: P3 normal
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-12 10:21 PST by Michael Felczak
Modified: 2012-05-04 17:23 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.5


Attachments
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.) (5.89 KB, patch)
2012-05-04 14:14 PDT, Michael Felczak
Details | Diff
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.) (5.72 KB, patch)
2012-05-04 14:41 PDT, Michael Felczak
Details | Diff
Patch against OCS 2.3.5 (should also work with 2.3.4, 2.3.3, etc.) (7.13 KB, patch)
2012-05-04 14:42 PDT, Michael Felczak
Details | Diff
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.) (4.14 KB, patch)
2012-05-04 16:28 PDT, Michael Felczak
Details | Diff
Patch against OCS 2.3.5 (should also work with 2.3.4, 2.3.3, etc.) (5.33 KB, patch)
2012-05-04 17:03 PDT, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2011-03-12 10:21:18 PST
Favicon uploaded in Journal Setup, Step 5 doesn't display in IE.

Works fine in FF and Chrome.
Comment 1 Alec Smecher 2011-03-18 13:48:36 PDT
Not a priority for 2.3.5.
Comment 2 Michael Felczak 2012-05-04 14:07:56 PDT
IE is finicky in how it identifies and displays favicons.

We should include a type attribute in the header link rel="icon" tag.


For Journal Managers:

Upload an .ico favicon in Setup => Step 5 for best results.
Comment 3 Michael Felczak 2012-05-04 14:10:02 PDT
Favicon doesn't display in IE
https://github.com/pkp/pkp-lib/commit/2e3c250922ac384696e7b658bdbbeb5b29e413fd
Comment 4 Michael Felczak 2012-05-04 14:14:15 PDT
Created attachment 3767 [details]
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.)

If running a version of OJS that is 2.3.7 or older, you will need to apply the patches in Bug 7425 and Bug 7427 before applying this patch.
Comment 5 Michael Felczak 2012-05-04 14:15:02 PDT
Favicon doesn't display in IE
https://github.com/pkp/ojs/commit/08428e90b1099a073b57497b60913ee699fcb09d
Comment 6 Michael Felczak 2012-05-04 14:20:02 PDT
Favicon doesn't display in IE
https://github.com/pkp/pkp-lib/commit/69340700bb785516ac2b7aec1ce79b6b489b278a
Comment 7 Michael Felczak 2012-05-04 14:25:01 PDT
Favicon doesn't display in IE
https://github.com/pkp/ojs/commit/c965d5237430119a563e390b5e9477fdce51324a
Comment 8 Michael Felczak 2012-05-04 14:40:02 PDT
Favicon doesn't display in IE
https://github.com/pkp/pkp-lib/commit/5c64ef0c816f453b5ea9e71cac9fac374b5b6d2c
Comment 9 Michael Felczak 2012-05-04 14:40:02 PDT
Favicon doesn't display in IE
https://github.com/pkp/ocs/commit/99e6d67a10c258a0940a438374c80833b48ba4dd
Comment 10 Michael Felczak 2012-05-04 14:41:29 PDT
Created attachment 3768 [details]
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.)

If running a version of OJS that is 2.3.7 or older, you will need to apply the
patches in Bug 7425 and Bug 7427 before applying this patch.
Comment 11 Michael Felczak 2012-05-04 14:42:41 PDT
Created attachment 3769 [details]
Patch against OCS 2.3.5 (should also work with 2.3.4, 2.3.3, etc.)

If running a version of OCS that is 2.3.5 or older, you will need to apply the
patches in Bug 7425 and Bug 7427 before applying this patch.
Comment 12 Michael Felczak 2012-05-04 14:53:05 PDT
Fixed.
Comment 13 Michael Felczak 2012-05-04 14:55:01 PDT
Favicon doesn't display in IE
https://github.com/pkp/ocs/commit/ae6b1a73dea1c6fd1c89084310be6c8e8b889795
Comment 14 Michael Felczak 2012-05-04 15:53:54 PDT
Can move MIME type detection to favicon upload in Setup and save it as part of image settings.
Comment 15 Michael Felczak 2012-05-04 16:28:35 PDT
Created attachment 3770 [details]
Patch against OJS 2.3.7 (should also work with 2.3.6, 2.3.5, etc.)

If running a version of OJS that is 2.3.7 or older, you will need to apply the
patches in Bug 7425 and Bug 7427 before applying this patch.

The favicon will need to be re-uploaded in Setup, Step 5 in order for these changes to take effect.
Comment 16 Michael Felczak 2012-05-04 16:35:02 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/ojs/commit/1f022d814cf1b601c769beaa99a657aac5d030ed
Comment 17 Michael Felczak 2012-05-04 16:40:03 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/pkp-lib/commit/d3b19038d2b6a0e18585114a6232bfc1e9f243e6
Comment 18 Michael Felczak 2012-05-04 16:40:03 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/ojs/commit/6146c3b041ebeed1566b36f2df440c0eba0a1f32
Comment 19 Michael Felczak 2012-05-04 16:55:01 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/pkp-lib/commit/b06b810a0b03aa8f694248db3bfccba936380d07
Comment 20 Michael Felczak 2012-05-04 16:55:02 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/ocs/commit/57958906bfb3a7a1229f29a387621dff512f1859
Comment 21 Michael Felczak 2012-05-04 17:03:23 PDT
Created attachment 3771 [details]
Patch against OCS 2.3.5 (should also work with 2.3.4, 2.3.3, etc.)

If running a version of OCS that is 2.3.5 or older, you will need to apply the
patches in Bug 7425 and Bug 7427 before applying this patch.

The favicon will need to be re-uploaded in Website Management, Step 3 in order for these changes to take effect.
Comment 22 Michael Felczak 2012-05-04 17:10:02 PDT
Favicon doesn't display in IE (move mime type detection to setup upload)
https://github.com/pkp/ocs/commit/3e277ced011326a57c75c15e5f3fb38c9c4a4e41
Comment 23 Michael Felczak 2012-05-04 17:23:32 PDT
Moved MIME type detection to favicon upload in Setup.

Closing.